Перейти к содержимому
R-Service R-Service
Руководство разработчика RR Tech Service Management

Effort Classes - Timesheet Settings API

Эта документация пока недоступна на вашем языке, поэтому показана английская версия.

List all timesheet_settings of an effort class with a specific ID.

GET /effort_classes/:id/timesheet_settings
Status: 200 OK
[
{
"id": 321,
"sourceID": null,
"name": "8hr workday, 40hr workweek, hours&minutes, 1hr incr.",
"created_at": "2016-03-22T21:03:35-05:00",
"updated_at": "2016-03-22T21:03:35-05:00"
},
{
"id": 485,
"sourceID": null,
"name": "7:30 workday, 36hr workweek, hours&minutes, 0:30 incr.",
"created_at": "2016-03-27T18:53:12-05:00",
"updated_at": "2016-03-28T22:56:03-05:00"
},
"..."
]

The response contains these fields by default.

The following predefined filters are available:

  • /effort_classes/:id/timesheet_settings/disabled : List all disabled timesheet settings of an effort class with a specific ID
  • /effort_classes/:id/timesheet_settings/enabled : List all enabled timesheet settings of an effort class with a specific ID

Add a link between an effort class with a specific ID and a timesheet settings with a specific ID.

POST /effort_classes/:id/timesheet_settings/:timesheet_setting_id
Status: 200 OK
{}

Remove the link between an effort class with a specific ID and a timesheet settings with a specific ID.

DELETE /effort_classes/:id/timesheet_settings/:timesheet_setting_id
Status: 204 No Content

Remove all links between an effort class with a specific ID and its timesheet settings.

DELETE /effort_classes/:id/timesheet_settings
Status: 204 No Content